| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::ximgproc::AdaptiveManifoldFilter Class Referenceabstract
Extended Image Processing » Filters

Interface for Adaptive Manifold Filter realizations. More...

`#include <opencv2/ximgproc/edge_filter.hpp>`

Inheritance diagram for cv::ximgproc::AdaptiveManifoldFilter:

## Public Member Functions
virtual void | collectGarbage ()=0
virtual void | filter (InputArray src, OutputArray dst, InputArray joint=noArray())=0
| Apply high-dimensional filtering using adaptive manifolds. More...
virtual bool | getAdjustOutliers () const =0
virtual int | getPCAIterations () const =0
virtual double | getSigmaR () const =0
virtual double | getSigmaS () const =0
virtual int | getTreeHeight () const =0
virtual bool | getUseRNG () const =0
virtual void | setAdjustOutliers (bool val)=0
virtual void | setPCAIterations (int val)=0
virtual void | setSigmaR (double val)=0
virtual void | setSigmaS (double val)=0
virtual void | setTreeHeight (int val)=0
virtual void | setUseRNG (bool val)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< AdaptiveManifoldFilter > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Interface for Adaptive Manifold Filter realizations.

For more details about this filter see [82] and References_.

Below listed optional parameters which may be set up with Algorithm::set function.

- member double sigma_s = 16.0 Spatial standard deviation.
- member double sigma_r = 0.2 Color space standard deviation.
- member int tree_height = -1 Height of the manifold tree (default = -1 : automatically computed).
- member int num_pca_iterations = 1 Number of iterations to computed the eigenvector.
- member bool adjust_outliers = false Specify adjust outliers using Eq. 9 or not.
- member bool use_RNG = true Specify use random number generator to compute eigenvector or not.

## Member Function Documentation

## ◆ collectGarbage()

virtual void cv::ximgproc::AdaptiveManifoldFilter::collectGarbage | ( |  | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_AdaptiveManifoldFilter.collectGarbage( |  | )

## ◆ create()

static Ptr<AdaptiveManifoldFilter> cv::ximgproc::AdaptiveManifoldFilter::create | ( |  | ) |
| static

Python:
| retval | = | cv.ximgproc.AdaptiveManifoldFilter_create( |  | )

## ◆ filter()

virtual void cv::ximgproc::AdaptiveManifoldFilter::filter | ( | InputArray | src,
|  | OutputArray | dst,
|  | InputArray | joint = `noArray()`
| ) |  |
| pure virtual

Python:
| dst | = | cv.ximgproc_AdaptiveManifoldFilter.filter( | src[, dst[, joint]] | )

Apply high-dimensional filtering using adaptive manifolds.

Parameters

  src | filtering image with any numbers of channels.
  dst | output image.
  joint | optional joint (also called as guided) image with any numbers of channels.

## ◆ getAdjustOutliers()

virtual bool cv::ximgproc::AdaptiveManifoldFilter::getAdjustOutliers | ( |  | ) | const
| pure virtual

See also
  setAdjustOutliers

## ◆ getPCAIterations()

virtual int cv::ximgproc::AdaptiveManifoldFilter::getPCAIterations | ( |  | ) | const
| pure virtual

See also
  setPCAIterations

## ◆ getSigmaR()

virtual double cv::ximgproc::AdaptiveManifoldFilter::getSigmaR | ( |  | ) | const
| pure virtual

See also
  setSigmaR

## ◆ getSigmaS()

virtual double cv::ximgproc::AdaptiveManifoldFilter::getSigmaS | ( |  | ) | const
| pure virtual

See also
  setSigmaS

## ◆ getTreeHeight()

virtual int cv::ximgproc::AdaptiveManifoldFilter::getTreeHeight | ( |  | ) | const
| pure virtual

See also
  setTreeHeight

## ◆ getUseRNG()

virtual bool cv::ximgproc::AdaptiveManifoldFilter::getUseRNG | ( |  | ) | const
| pure virtual

See also
  setUseRNG

## ◆ setAdjustOutliers()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setAdjustOutliers | ( | bool | val | ) |
| pure virtual

See also
  getAdjustOutliers

## ◆ setPCAIterations()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setPCAIterations | ( | int | val | ) |
| pure virtual

See also
  getPCAIterations

## ◆ setSigmaR()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setSigmaR | ( | double | val | ) |
| pure virtual

See also
  getSigmaR

## ◆ setSigmaS()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setSigmaS | ( | double | val | ) |
| pure virtual

See also
  getSigmaS

## ◆ setTreeHeight()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setTreeHeight | ( | int | val | ) |
| pure virtual

See also
  getTreeHeight

## ◆ setUseRNG()

virtual void cv::ximgproc::AdaptiveManifoldFilter::setUseRNG | ( | bool | val | ) |
| pure virtual

See also
  getUseRNG

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edge_filter.hpp